cURL
curl --request POST \ --url https://api.select.dev/api/{organization_id}/sso-group-mappings \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "sso_group_name": "<string>", "roles": [ { "role": "admin", "scope": { "type": "organization", "id": "<string>" } } ] } '
{ "sso_group_name": "<string>", "roles": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "role": "admin", "scope": { "type": "organization", "id": "<string>", "name": "<string>" }, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" } ] }
Create a new SSO group with initial role assignments
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
The SSO group configuration with initial roles
The SSO group name from the identity provider
1
Initial roles to assign to this SSO group
Show child attributes
The role level to grant (admin, editor, monitor_editor, or viewer)
admin
editor
monitor_editor
viewer
The scope for this role. If not provided, creates an organization-wide role
The type of scope for this role
organization
snowflake_organization
snowflake_account
usage_group
ID of the scoped entity (required for non-organization scopes)
Successful Response
SSO group information with all its access roles.
The SSO group name
All access roles for this SSO group
The unique identifier of this role assignment
The role level (admin, editor, monitor_editor, or viewer)
The scope this role applies to
ID of the scoped entity (organization ID, Snowflake org name, account UUID, or usage group ID)
Display name of the scoped entity (populated in responses)
When the role was created
When the role was last updated